/**
 * ActClassPublicHealthCase.java
 *
 * File generated from the medication::ActClassPublicHealthCase uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassPublicHealthCase.
 *
 * 
 */

@XmlType(name = "ActClassPublicHealthCase")
@XmlEnum
@XmlRootElement(name = "ActClassPublicHealthCase")
public enum ActClassPublicHealthCase {
	@XmlEnumValue("CASE")
	CASE("CASE"),
	@XmlEnumValue("OUTB")
	OUTB("OUTB");
	
	private final String value;

    ActClassPublicHealthCase(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassPublicHealthCase fromValue(String v) {
        for (ActClassPublicHealthCase c: ActClassPublicHealthCase.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}